import { ToastProps } from "./toast.js";
import React from "react";

//#region src/components/pisellToast/squareToast/methods.d.ts
interface ToastInstance {
  close: () => void;
}
declare const show: (configOrContent: Partial<ToastProps> | React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const clear: () => void;
declare const success: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const info: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const loading: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const fail: (content: React.ReactNode, duration?: number, afterClose?: () => void) => ToastInstance;
declare const hide: () => void;
//#endregion
export { clear, fail, hide, info, loading, show, success };